YouVersion PlatformYouVersion Platform
PlatformBiblesDev Docs
CommunityPartnersSupport

YouVersion Platform

Build applications and integrate with the world's most popular Bible platform.

Platform Products

  • Platform Portal
  • Developer Documentation
  • App Management

Resources

  • Support
  • Press inquiries

Legal

  • Privacy Policy
  • Terms of Use

© 2025 YouVersion. All rights reserved.

  • Overview
  • API Reference
  • SDKs
  • Changelog
<  Back to Platform
bibles
    Get a Bible collectiongetGet a Bible's datagetGet the index for a BiblegetGet a passage of Bible textgetGet a Book collection for a BiblegetGet a Book's datagetGet a Chapter collection for a BookgetGet a Chapter's datagetGet a Verse collection for a ChaptergetGet a Verse's dataget
fonts
    Get a collection of fonts supported in the Platform.getGet details about a specific font family in the Platform.getGet a browser-consumable stylesheet for a specific font family.get
highlights
    Get a collection of highlights for a user.getCreate or update a highlight on a passage.postClear highlights for a passage.delete
languages
    Get a collection of languages supported in the Platform.getGet details about a specific language in the Platform.get
licenses
    Get a collection of licensesget
organizations
    Get a collection of organizations in the Platform.getGet details about a specific organization in the Platform.getGet bibles associated with a specific organization in the Platform.get
verse of the days
    Get the verse of the day calendar for an entire year.getGet the verse of the day for a specific day of the year.get
Schemas
Transformers
Transformers

fonts

Endpoint

Provides metadata for font families approved for Platform consumers. Use these endpoints to discover available families, variants, and CDN asset URLs.


Get a collection of fonts supported in the Platform.

GET
https://api.youversion.com
/v1/fonts

Get a collection of font family resources with their available variants and CDN sources.

Get a collection of fonts supported in the Platform. › Responses

Successful request

​object[] · readOnly · required
GET/v1/fonts
curl --request GET \ --url https://api.youversion.com/v1/fonts
shell
Example Responses
{ "data": [ { "id": 1, "slug": "untitled-serif", "family": "Untitled Serif", "variants": [ { "weight": 400, "style": "normal", "sources": [ { "format": "woff2", "url": "https://cdn.youversion.com/fonts/untitled-serif/Untitled%20Serif.woff2" } ] } ] } ] }
json
application/json

Get details about a specific font family in the Platform.

GET
https://api.youversion.com
/v1/fonts/{font_id}

Get a single font family resource by its integer identifier.

Get details about a specific font family in the Platform. › path Parameters

font_id
​integer · int32 · required

The unique integer identifier for a font family resource in the Platform.

Example: 1

Get details about a specific font family in the Platform. › Responses

Successful request

A font family resource with available variants and CDN-backed source files.
id
​integer · int32 · required

Stable integer identifier for the font family.

Example: 1
slug
​string · required

Stable URL-safe identifier for the font family.

Example: untitled-serif
family
​string · required

Canonical font-family name clients should use.

Example: Untitled Serif
​object[] · required

Available faces within this font family.

GET/v1/fonts/{font_id}
curl --request GET \ --url https://api.youversion.com/v1/fonts/:font_id
shell
Example Responses
{ "id": 1, "slug": "untitled-serif", "family": "Untitled Serif", "variants": [ { "weight": 400, "style": "normal", "sources": [ { "format": "woff2", "url": "https://cdn.youversion.com/fonts/untitled-serif/Untitled%20Serif.woff2" } ] } ] }
json
application/json

Get a browser-consumable stylesheet for a specific font family.

GET
https://api.youversion.com
/v1/fonts/{font_id}/stylesheet

Get a text/css stylesheet for a single font family resource using the canonical woff2 CDN URLs exposed by the JSON Fonts API for browser consumption. The API gateway accepts app_key on this route and injects the required app-id header before forwarding the request to this service.

Get a browser-consumable stylesheet for a specific font family. › path Parameters

font_id
​integer · int32 · required

The unique integer identifier for a font family resource in the Platform.

Example: 1

Get a browser-consumable stylesheet for a specific font family. › Responses

Successful request

string
GET/v1/fonts/{font_id}/stylesheet
curl --request GET \ --url https://api.youversion.com/v1/fonts/:font_id/stylesheet
shell
Example Responses
string
plain
text/css

bibleshighlights